Problems with the TextMate bundle

I am trying to use the textMate bundle generate new file with css inline but i keep getting the following error.

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require': no such file to load -- tamtam (LoadError)
    from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in `require'
    from /tmp/temp_textmate.96nSkC:4

I have installed the gems and they all seemed to install fine.

This bundle would same me loads of time so frustrating i cant get it working.

thanks in advance for any help.

travisbell travisbell, 7 years ago

Hi,

The important line in that error would be:

no such file to load -- tamtam

When you installed tamtam, did you su, or just install it being logged in as your user?


--
Travis Bell
qpido, 6 years ago

Sorry but i get the same error. Instead of a wonderful new html file with the inline-styles it opens a new file with this error:

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require': no such file to load -- tamtam (LoadError)
    from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'
    from /tmp/temp_textmate.O3aDJO:4

I installed the gems with sudo user. Do you have any idea about this?
Would be great if you can help me to get this working :)

greetings

travisbell travisbell, 6 years ago

Hey,

What's the output if you do a:

gem list

Do you see tamtam listed?


--
Travis Bell
qpido, 6 years ago

yes, i already checked this. anyway here is the output:
tamtam (0.0.3)

do i need a specific version?

travisbell travisbell, 6 years ago

You shouldn't.

You're not running multiple versions of Ruby or anything are you? Like RVM?


--
Travis Bell
qpido, 6 years ago

Maybe its because Im using MacPorts? Is this possible. Im  not that much familiar with the structures behind this stuff :) Hopefully we can get this working. Your Bundle is really a great addition to Textmate. In the meantime Im using some online tools to generate the css inline but it would be great if we find the problem.

Join 200,000 companies around the world that use Campaign Monitor to run email marketing campaigns that deliver results for their business.

Get started for free
1-888-533-8098